ConfigFile (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.service.api.records, class: ConfigFile

Package org.apache.hadoop.yarn.service.api.records

# Class ConfigFile

java.lang.Object
org.apache.hadoop.yarn.service.api.records.ConfigFile

All Implemented Interfaces:
  `Serializable`

@Public @Unstable public class ConfigFile extends Object implements Serializable
A config file that needs to be created and made available as a volume in an service component container.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ConfigFile.TypeEnum`
  Config Type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigFile()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigFile`
  `copy()`
  `ConfigFile`
  `destFile(String destFile)`
  The absolute path that this configuration file should be mounted as, in the service container.
  `boolean`
  `equals(Object o)`
  `boolean`
  `getBoolean(String name, boolean defaultValue)`
  `String`
  `getDestFile()`
  `long`
  `getLong(String name, long defaultValue)`
  `Map<String,String>`
  `getProperties()`
  `String`
  `getSrcFile()`
  `ConfigFile.TypeEnum`
  `getType()`
  `LocalResourceVisibility`
  `getVisibility()`
  `int`
  `hashCode()`
  `ConfigFile`
  `properties(Map<String,String> properties)`
  A blob of key value pairs that will be dumped in the dest_file in the format as specified in type.
  `void`
  `setDestFile(String destFile)`
  `void`
  `setProperties(Map<String,String> properties)`
  `void`
  `setSrcFile(String srcFile)`
  `void`
  `setType(ConfigFile.TypeEnum type)`
  `void`
  `setVisibility(LocalResourceVisibility localrsrcVisibility)`
  `ConfigFile`
  `srcFile(String srcFile)`
  This provides the source location of the configuration file, the content of which is dumped to dest_file post property substitutions, in the format as specified in type.
  `String`
  `toString()`
  `ConfigFile`
  `type(ConfigFile.TypeEnum type)`
  Config file in the standard format like xml, properties, json, yaml, template.
  `ConfigFile`
  `visibility(LocalResourceVisibility localrsrcVisibility)`
  Visibility of the Config file.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigFile

    public ConfigFile()

- ## Method Details

  - ### copy

    public ConfigFile copy()

  - ### type

    public ConfigFile type(ConfigFile.TypeEnum type)
    Config file in the standard format like xml, properties, json, yaml, template.

  - ### getType

    public ConfigFile.TypeEnum getType()

  - ### setType

    public void setType(ConfigFile.TypeEnum type)

  - ### destFile

    public ConfigFile destFile(String destFile)
    The absolute path that this configuration file should be mounted as, in the service container.

  - ### getDestFile

    public String getDestFile()

  - ### setDestFile

    public void setDestFile(String destFile)

  - ### srcFile

    public ConfigFile srcFile(String srcFile)
    This provides the source location of the configuration file, the content of which is dumped to dest_file post property substitutions, in the format as specified in type. Typically the src_file would point to a source controlled network accessible file maintained by tools like puppet, chef, or hdfs etc. Currently, only hdfs is supported.

  - ### getSrcFile

    public String getSrcFile()

  - ### setSrcFile

    public void setSrcFile(String srcFile)

  - ### visibility

    public ConfigFile visibility(LocalResourceVisibility localrsrcVisibility)
    Visibility of the Config file.

  - ### getVisibility

    public LocalResourceVisibility getVisibility()

  - ### setVisibility

    public void setVisibility(LocalResourceVisibility localrsrcVisibility)

  - ### properties

    public ConfigFile properties(Map<String,String> properties)
    A blob of key value pairs that will be dumped in the dest_file in the format as specified in type. If src_file is specified, src_file content are dumped in the dest_file and these properties will overwrite, if any, existing properties in src_file or be added as new properties in src_file.

  - ### getProperties

    public Map<String,String> getProperties()

  - ### setProperties

    public void setProperties(Map<String,String> properties)

  - ### getLong

    public long getLong(String name, long defaultValue)

  - ### getBoolean

    public boolean getBoolean(String name, boolean defaultValue)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`